searchNodes=[{"doc":"Debouncer executes a function call debounced. Debouncing is done one a per key basis: Debouncer.apply(Key, fn() -&gt; IO.puts(&quot;Hello World, debounced&quot;) end) The third optional parameter is the timeout period in milliseconds Debouncer.apply(Key, fn() -&gt; IO.puts(&quot;Hello World, once per minute max&quot;) end, 60_000) The variants supported are:apply() =&gt; Events are executed after the timeoutimmediate() =&gt; Events are executed immediately, and further events are delayed for the timeoutimmediate2() =&gt; Events are executed immediately, and further events are IGNORED for the timeoutdelay() =&gt; Each event delays the execution of the next event EVENT X1---X2------X3-------X4---------- TIMEOUT ----------|----------|----------|- =============================================== apply() ----------X2---------X3---------X4 immediate() X1--------X2---------X3---------X4 immediate2() X1-----------X3------------------- delay() --------------------------------X4","ref":"Debouncer.html","title":"Debouncer","type":"module"},{"doc":"apply() executes the function after the specified timeout t0 + timeout,when apply is called multiple times it does not affect the point in time when the next call is happening (t0 + timeout) but updates the fun","ref":"Debouncer.html#apply/3","title":"Debouncer.apply/3","type":"function"},{"doc":"cancel() deletes the latest event if it hasn't triggered yet.","ref":"Debouncer.html#cancel/1","title":"Debouncer.cancel/1","type":"function"},{"doc":"Returns a specification to start this module under a supervisor.See Supervisor.","ref":"Debouncer.html#child_spec/1","title":"Debouncer.child_spec/1","type":"function"},{"doc":"delay() executes the function after the specified timeout t0 + timeout,when delay is called multipe times the timeout is reset based on the most recent call (t1 + timeout, t2 + timeout) etc... the fun is also updated","ref":"Debouncer.html#delay/3","title":"Debouncer.delay/3","type":"function"},{"doc":"immediate() executes the function immediately but blocks any further callunder the same key for the given timeout.","ref":"Debouncer.html#immediate/3","title":"Debouncer.immediate/3","type":"function"},{"doc":"immediate2() executes the function immediately but blocks any further callunder the same key for the given timeout.","ref":"Debouncer.html#immediate2/3","title":"Debouncer.immediate2/3","type":"function"},{"doc":"Debouncer Debouncer module to reduce frequency of function calls to alerts, updates and similar. It supports four different modes:apply() - For delayed triggers, e.g. to trigger an autocomplete actionimmediate() - For reducing frequency of events, the first event per intervall is delivered immediately, e.g. trigger data processing tasks immediate2() - Similiar to immediate but never delays events, either forwards them or ignores them, e.g. to trigger alert emails delay() - Only triggers an event after the timeout period, any further event delays the trigger. E.g. to detect data streams that ended actvitiy","ref":"readme.html","title":"Debouncer","type":"extras"},{"doc":"Debouncer.apply(SomeKey, fn() -&gt; IO.puts(&quot;Hello World, debounced will appear in 5 seconds&quot;) end) Debouncer.immediate(OtherKey, fn() -&gt; IO.puts(&quot;Hello World, will appear immediate, but not again within 5 seconds&quot;) end)","ref":"readme.html#usage-example","title":"Debouncer - Usage Example","type":"extras"},{"doc":"EVENT X1---X2------X3-------X4---------- TIMEOUT ----------|----------|----------|- =============================================== apply() ----------X2---------X3---------X4 immediate() X1--------X2---------X3---------X4 immediate2() X1-----------X3------------------- delay() --------------------------------X4This graph represents when the different variants fire an event respectively on a timeline. In code the first line would look like this:fn -&gt; Debouncer.apply(SomeKey, fn() -&gt; IO.puts(&quot;X1&quot;) end, 1000) Process.sleep(500) Debouncer.apply(SomeKey, fn() -&gt; IO.puts(&quot;X2&quot;) end, 1000) Process.sleep(800) Debouncer.apply(SomeKey, fn() -&gt; IO.puts(&quot;X3&quot;) end, 1000) Process.sleep(900) Debouncer.apply(SomeKey, fn() -&gt; IO.puts(&quot;X4&quot;) end, 1000) Process.sleep(1200) end.() &gt; X2 &gt; X3 &gt; X4","ref":"readme.html#behaviour-graph","title":"Debouncer - Behaviour Graph","type":"extras"},{"doc":"The debouncer can be installed by adding debouncer to your list of dependencies in mix.exs:def deps do [ {:debouncer, &quot;~&gt; 0.1&quot;} ] endThe debouncer is an application and will start a GenServer to trigger the events. To include the Application in your release add it to your extra applications: def application do [ mod: {Your.Application, []}, extra_applications: [:debouncer] ] end If it's not started it will try to start itself on usage.The docs can be found at https://hexdocs.pm/debouncer.","ref":"readme.html#installation","title":"Debouncer - Installation","type":"extras"},{"doc":"The delay() behaviour should be the same as in Michal Muskalas Debounce implementation https://github.com/michalmuskala/debounce","ref":"readme.html#remarks","title":"Debouncer - Remarks","type":"extras"}]